// Code generated by mockery v2.53.0. DO NOT EDIT.

package pipeline

import (
	context "context"
	io "io"

	mock "github.com/stretchr/testify/mock"
)

// MockStore is an autogenerated mock type for the Store type
type MockStore struct {
	mock.Mock
}

// GetPipelineVariables provides a mock function with given fields: ctx, pipelineID
func (_m *MockStore) GetPipelineVariables(ctx context.Context, pipelineID string) (io.ReadCloser, error) {
	ret := _m.Called(ctx, pipelineID)

	if len(ret) == 0 {
		panic("no return value specified for GetPipelineVariables")
	}

	var r0 io.ReadCloser
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (io.ReadCloser, error)); ok {
		return rf(ctx, pipelineID)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) io.ReadCloser); ok {
		r0 = rf(ctx, pipelineID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(io.ReadCloser)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, pipelineID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UploadPipelineVariables provides a mock function with given fields: ctx, pipelineID, body
func (_m *MockStore) UploadPipelineVariables(ctx context.Context, pipelineID string, body io.Reader) error {
	ret := _m.Called(ctx, pipelineID, body)

	if len(ret) == 0 {
		panic("no return value specified for UploadPipelineVariables")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, io.Reader) error); ok {
		r0 = rf(ctx, pipelineID, body)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// NewMockStore creates a new instance of MockStore. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockStore(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockStore {
	mock := &MockStore{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
